Anyone can help me with Merlin + PapyMerlin BT + Mac OS ?  

Everything you need to motorize your head
no avatar
chontaduro
New member
 
Topic author
Posts: 2
Likes: 0 post
Liked in: 0 post
Joined: Wed Jan 06, 2010 11:46 am
Info

Anyone can help me with Merlin + PapyMerlin BT + Mac OS ?

by chontaduro » Mon Jan 11, 2010 11:20 pm

Hi, I am new member and received my Merlin today. I got the PapyMerlin from claudevh (who already helped me out quiet a lot already, thanks) and tried to connect it with the Merlin head. I used the Papywizard 2.1.6 and followed the instructions of Matze, who kindly posted a step by step guide. Still I have some issues and I am not sure if it is the Merlin, the PapyMerlin or the Papywizard.

When I try to connect to the Merlin usually I get two or three times an error message on my Mac before it works.
- "Can't connect with Hardware. Axis 2 can't send command"
- "Can't connect with Hardware. Axis 1 can't send command"
After I reconnect a couple of times it usually works. I can then change the head via the Papywizard up/down, right/left also the Merlin head sometimes doesn't react or is super slow.
When I try to shoot it usually changes the postition one time before I get an error.

In the log-file I get this message all the time, and same but with axis 1
Traceback (most recent call last):
File "papywizard/plugins/merlinOrionPlugins.pyc", line 187, in _sendCmd
File "papywizard/hardware/serialDriver.pyc", line 104, in read
IOError: Timeout while reading on serial bus (size=1, data='')
2010-01-11 21:33:28,280::Spy::WARNING::MerlinOrionHardware._sendCmd(): axis 2 can't sent command 'j2'. Retrying...
2010-01-11 21:33:28,770::Spy::EXCEPTION::MerlinOrionHardware._sendCmd

When I try to shut down Papywizard I get:
"Can´t shutdown connection
Oneor more plugin failed to shutdown:
pitchAxis"

If I change the shutter to simulation mode I get the same error message but with yawaxis.

Anyone here using the PapyMerlin BT box with a Mac OS X 10.5.8 ?
I don't know if I am doing something wrong (but followed Matzes, claudevh and FMA38 instructions) or if there is a problem with one of my devices.

I Would appreciate if some Mac users could help me to set up my Merlin.
Thanks
Alex

User avatar
fma38
Moderator
 
Posts: 5850
Likes: 2 posts
Liked in: 2 posts
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France
Info

by fma38 » Tue Jan 12, 2010 7:42 am

There is a communication problem; I think this is because of the bad support of the bluetooth adapter (in the computer, not PapyMerlin) with the python module. That's why I suggested to Alex to post here: if other MacOS users can tell which bluetooth adapters (which chipset) they are using, it could help.
Frédéric

no avatar
120to120
Member
 
Posts: 144
Likes: 0 post
Liked in: 0 post
Joined: Thu Mar 12, 2009 8:32 pm
Info

by 120to120 » Fri Jan 15, 2010 9:22 pm

hallo fma38, chontaduro

Ich versuche mal zu helfen: hab vorhin dazu extra mit meiner Kombination einen Test durchgeführt.

Ich verwende mit Erfolg: MacBook / OS x 10.5.6 ; Merlin ; BT (Teleskop Austria) ; PW 2.0.0 und "vivanco Bluetooth v2.1 Dongle mit S/N: B1002270209.
Meine Mac/Merlin/PW Konfiguration funktioniert prima.

Hatte am Beginn auch Tage lang ohne zusà¤tzlichen Bluetooth-Dongle keinen gewünschten Erfolg.

Der "vivanco Bluetooth v2.1 Dongle" là¶ste das Problem!!!!!

Hoffe, hiermit helfen zu kà¶nnen.
Jozef
Last edited by 120to120 on Fri Jan 15, 2010 9:28 pm, edited 1 time in total.
(*Merlin/Orion_BT - teleskop-austria.*); FTDI USB-TTL cable; Macbook (Intel) OS X10.5.6 / ext. Bluetooth Dongle_VIVANCO_B1002270209 / PW 2.1.20; Go-To / TA *Nokia N810 / PW 2.1.20 * Sony F717 / Sony R1 ; JJC SR-828; 15m Mast;

no avatar
chontaduro
New member
 
Topic author
Posts: 2
Likes: 0 post
Liked in: 0 post
Joined: Wed Jan 06, 2010 11:46 am
Info

by chontaduro » Wed Jan 20, 2010 4:48 pm

Thanks 120to120, I will get a bluetooth-dongle and see if it will solve the problem.
I sent back my Merlin because it was not working right with the hand controller.
I hope I will get the Merlin next week and will post the result here in the forum.
Alex

no avatar
jeongyun
Member
 
Posts: 33
Likes: 0 post
Liked in: 0 post
Joined: Mon Dec 14, 2009 5:54 pm
Info

by jeongyun » Wed Jan 27, 2010 8:47 pm

I have exactly the same problem on my Mac Mini running MacOS X 10.6.2.
The BT controller is Broadcom.

no avatar
120to120
Member
 
Posts: 144
Likes: 0 post
Liked in: 0 post
Joined: Thu Mar 12, 2009 8:32 pm
Info

by 120to120 » Wed Jan 27, 2010 10:08 pm

Please provide information about hardware and software.
Mac Mini Intel?
BT-Link?

Jozef
(*Merlin/Orion_BT - teleskop-austria.*); FTDI USB-TTL cable; Macbook (Intel) OS X10.5.6 / ext. Bluetooth Dongle_VIVANCO_B1002270209 / PW 2.1.20; Go-To / TA *Nokia N810 / PW 2.1.20 * Sony F717 / Sony R1 ; JJC SR-828; 15m Mast;

no avatar
jeongyun
Member
 
Posts: 33
Likes: 0 post
Liked in: 0 post
Joined: Mon Dec 14, 2009 5:54 pm
Info

by jeongyun » Thu Jan 28, 2010 7:37 am

Never mind. I manged to get version 2.1.14 running on mac mini (intel).
It works well with either via bluetooth serial device, or via direct bluetooth interface using lightblue.
I built all binaries and dependencies in i386 architecture to avoid troubles.
Last edited by jeongyun on Thu Jan 28, 2010 7:38 am, edited 1 time in total.

User avatar
claudevh
Moderator
 
Posts: 1349
Likes: 0 post
Liked in: 0 post
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)
Info

by claudevh » Thu Jan 28, 2010 10:07 am

Hello "jeongyun",

So, if I understand well ...

You have now Papywizard working on your Mac Mini running MacOS X 10.6.2 ! :)
And you have build binaries and dependencies for MacOS x 10.6.2 ? :):)
Thats realy fine and this could help all Mac users !!!
Could you put the files at disposal ?

I am sure that "fma38" will put them in his dedicated web site. ;)
http://www.papywizard.org/

THANKS, THANKS, THANKS in advance !!! :D
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

User avatar
fma38
Moderator
 
Posts: 5850
Likes: 2 posts
Liked in: 2 posts
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France
Info

by fma38 » Thu Jan 28, 2010 10:53 am

Did you make a package wich can be distributed? If not, you can ask Jeremy (jeremyp on the forum) to send you the script...
Frédéric

no avatar
Matthew Field
Member
 
Posts: 27
Likes: 0 post
Liked in: 0 post
Joined: Sun Jan 03, 2010 1:04 am
Location: Los Angeles, CA
Info

by Matthew Field » Thu Jan 28, 2010 10:25 pm

Yes that is interesting because i failed to manage to get it to work here on 10.6.2, despite building all the required stuff from source.
Matt
Twitter @MattFieldPhoto

no avatar
jeongyun
Member
 
Posts: 33
Likes: 0 post
Liked in: 0 post
Joined: Mon Dec 14, 2009 5:54 pm
Info

by jeongyun » Sat Jan 30, 2010 4:29 pm

I bulit all dependencies as 32bit binaries because some projects weren't 64bit ready and I didn't want hassles.
Also most of them are from fink project except lightblue I think.
I also used python from fink.
Give me some time of I can get it run with 10.6's python.

By the way to force gcc produce 32 bit binary, you add -arch i386
Usually I would do
./configure CPPFLAGS='-arch i386' LDFLAGS='-arch i386'

no avatar
OffrediAndrea
Member
 
Posts: 32
Likes: 0 post
Liked in: 0 post
Joined: Tue Feb 02, 2010 12:57 pm
Info

by OffrediAndrea » Wed Feb 03, 2010 3:47 pm

jeongyun wrote:Never mind. I manged to get version 2.1.14 running on mac mini (intel).
It works well with either via bluetooth serial device, or via direct bluetooth interface using lightblue.
I built all binaries and dependencies in i386 architecture to avoid troubles.

Now the only version for mac is: Papywizard_2.0.0 and Papywizard_r1836 ?

Now i'm wayting merlin and new bt module plug and play, and claude by mail mail told me to

"open the "Material" menu, "Plugins", "Pilots" and click on "choice" (discover) and accept the proposed Bluetooth "PapyMerlin". "

I have italian version and i "think" than marterial is transalte to "Hardware" , but i have only: connection, limits, remove limits and 2 script (go to initial position, go to final position) not plugins -> pilot.

For choise bt interface i must be do : congiguration -> hardware -> (driver bt) choise

I'm in wrong or is there a new version?


PS:On macos 10.5 the 2.0.0 and r1836 is open
On macos 10.6 only 2.0.0 is open and r1836 crash (error report)


When i click in 10.5 - r1836 to choise bt (without papymerlin and whithout orion , i'm wayting it) the simbol of clock appare (waiting) and program do not respond, the processor work at 100% an temperatur go up, when i listen the Fans i do a brute close to papywizard.
Last edited by OffrediAndrea on Wed Feb 03, 2010 3:48 pm, edited 1 time in total.

User avatar
claudevh
Moderator
 
Posts: 1349
Likes: 0 post
Liked in: 0 post
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)
Info

by claudevh » Wed Feb 03, 2010 7:25 pm

Hello Andrea,

A newer version exits for Mac OSX 10.5:
http://www.papywizard.org/static/download/Papywizard_r1836.zip

Please install-it and try to follow the next connection procedure :
http://www.autopano.net/forum/p48089-2009-07-04-18-14-56#p48089

Then come back to us ....

Good luck ;)
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

User avatar
bruper
Member
 
Posts: 31
Likes: 0 post
Liked in: 0 post
Joined: Mon Feb 15, 2010 12:01 pm
Location: Portugal
Info

by bruper » Thu Feb 25, 2010 12:52 pm

Hi,
Could please please someone help me regarding the Merlin?
I’m new to this and would like to try to remotely control the Merlin mount, on a first instance via Ethernet, then with the bluetooth.
Can I use a simple RJ11 cable connectors and put a RJ45 to one end?
Which connectors/colored-wires should I connect on the Ethernet plug?
Thanks
Bruno
_____
Merlin mount, Sony EX3 with Adaptimax and some Nikon lenses, Canon 60D with some Canon & Tokina lenses, etc. PapyWizard on MBP 17" 2.93 GHz, OS 10.6.6

User avatar
claudevh
Moderator
 
Posts: 1349
Likes: 0 post
Liked in: 0 post
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)
Info

by claudevh » Thu Feb 25, 2010 1:00 pm

Hello "Bruper" ...

Be carefull, with bad wiring you can burn your computer and or your Merlin ... :/
I will take direct contact with you for more precision on your material ...
Could-you allready tell us how you want connect the Merlin to your PC via Ethernet ???
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

User avatar
bruper
Member
 
Posts: 31
Likes: 0 post
Liked in: 0 post
Joined: Mon Feb 15, 2010 12:01 pm
Location: Portugal
Info

by bruper » Thu Feb 25, 2010 11:21 pm

In Papywizard configuration/hardware/driver it says ethernet...
I have a non GoTo Merlin, Apple Mac Book Pro 17" OS 10.6.2, Sony EX3 HD video camera with
various Nikon lenses, planning to buy Canon 5D MKII.
I would like to know if I could connect the Ethernet to the RJ11 and how.
I would really appreciate the information
Bruno
_____
Merlin mount, Sony EX3 with Adaptimax and some Nikon lenses, Canon 60D with some Canon & Tokina lenses, etc. PapyWizard on MBP 17" 2.93 GHz, OS 10.6.6

User avatar
fma38
Moderator
 
Posts: 5850
Likes: 2 posts
Liked in: 2 posts
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France
Info

by fma38 » Fri Feb 26, 2010 12:11 am

No! This is the configuration for the driver, not for the hardware! As I said you in private, you need an ethernet-TTL converter, so you can use the ethernet driver. Most of us use a bluetooth-TTL converter...
Frédéric


Who is online

Users browsing this forum: No registered users and 1 guest